html * {
    box-sizing: border-box;
  }

body {
    font-family: 'Oswald', sans-serif;
    background-color: #191414;
    color: white;
    height: auto;
    background-repeat: no-repeat;
}

.pointer {
    cursor: pointer;
}

.btn-outline-success {
    margin-left: 5px;
}

.img-thumb {
    width: 50px;
    height: 50px;
}

.btn-outline-primary {
    color: #1DB954;
    border-color: #1DB954;
}

.flex-container, .flex-container-search, .flex-container-player {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
  padding: 40px;
  flex-direction: column;
}

.flex-container-search input {
    width: 70%;
    border-radius: 5px;
    text-align: center;
}

.player {
    display: grid;
    grid-gap: 1px;
    height: 100%;
    grid-template-columns: 1fr;
}

.album-player {
    width: 70%;
    height: auto;
    margin-bottom: 10px;
}

audio, .player div {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1px;
}

@media (min-width: 700px){
    .flex-container-player {
        display: grid;
        grid-gap: 10px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(20, 1fr);
    }

    .album-player {
        width: 90%;
        align-self: flex-start;
        grid-row: 1 / 8;
    }

    .player {
        grid-column-start: 2;
        align-self: flex-start;
        display: grid;
        grid-template-columns: 1fr;
    }

    audio, .player div {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media (min-width: 600px){
    .flex-container {
        display: grid;
        grid-gap: 10px;
        grid-template-columns: repeat(2, 1fr);
    }
    .flex-card img {
        max-height: 266px;
    }
}

@media (min-width: 800px){
    .flex-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 1000px){
    .flex-container {
        grid-template-columns: repeat(4, 1fr);
    }

    .player {
        grid-template-columns: 1fr 1fr;
    }
    
    audio, .player div {
        justify-content: center;
    }
}

.flex-card {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border: 2px solid #fff;
    margin-bottom: 5px;
    &:hover {
        box-shadow: 3px 3px 5px 6px #fff;
    }
    img{
        width: 100%;
        height: auto;
        margin-bottom: 10px;
    }

}

.flex-card-text {
    display: flex;
    justify-content: center;
    align-items: center;
    place-self: normal;
    padding: 5px;
    background-color: #1DB954;
    flex-direction: column;
    height: 100px;
}